DBus.Client

# Clients

data Client

# Connecting to a bus

connect

connectSystem

connectSession

connectStarter

disconnect

# Sending method calls

call

call_

callNoReply

# Receiving method calls

export

unexport

data Method

method

data Reply

replyReturn

replyError

throwError

## Automatic method signatures

class AutoMethod a

autoMethod

# Signals

data SignalHandler

addMatch

removeMatch

emit

listen

## Match rules

data MatchRule

formatMatchRule

matchAny

matchSender

matchDestination

matchPath

matchInterface

matchMember

# Name reservation

requestName

releaseName

data RequestNameFlag

nameAllowReplacement

nameReplaceExisting

nameDoNotQueue

data RequestNameReply

data ReleaseNameReply

# Client errors

data ClientError

clientError

clientErrorMessage

clientErrorFatal

# Advanced connection options

data ClientOptions t

clientSocketOptions

clientThreadRunner

defaultClientOptions

connectWith